Review By Source Report
curl --request POST \
--url https://api.birdeye.com/resources/v1/reports/count/reviewsite \
--header 'Content-Type: application/json' \
--data '
{
"sourceAliases": [
"citysearch ",
"google"
],
"businessNumbers": [
"943967608",
"943476803"
],
"months": 12
}
'import requests
url = "https://api.birdeye.com/resources/v1/reports/count/reviewsite"
payload = {
"sourceAliases": ["citysearch ", "google"],
"businessNumbers": ["943967608", "943476803"],
"months": 12
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
sourceAliases: ['citysearch ', 'google'],
businessNumbers: ['943967608', '943476803'],
months: 12
})
};
fetch('https://api.birdeye.com/resources/v1/reports/count/reviewsite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"count": 1132,
"milestone": "Smile Dental",
"businessId": "943967608",
"reviewSites": [
{
"sourceAlias": "Citysearch",
"count": 4
},
{
"sourceAlias": "GooglePlay",
"count": 1060
},
{
"sourceAlias": "bestcreditrepaircompany",
"count": 1
},
{
"sourceAlias": "Birdeye",
"count": 67
}
]
}
]{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Report
Review By Source
Review By Source API groups the number of reviews and average ratings in an account according to the aggregation source.
POST
/
v1
/
reports
/
count
/
reviewsite
Review By Source Report
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Id of the Business.
⌘I